Wallet Infrastructure
Wallet Infrastructure
Treasury

Set spend cap

PUT
/v1/limits

Requires scope wallets:write.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Request Body

application/json
  1. body
treasury?boolean

Which wallet the cap applies to.

Defaulttrue
signerId*string
Length1 <= length
asset*string
Length1 <= length
limitBaseUnits*string
Match^\d+$
windowSeconds?integer
Range0 < value
onChain?

Links this cap to its on-chain allowance.

Response Body

200application/json

Cap stored. onChain describes the on-chain half when one was requested.

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X PUT 'https://api.pilot.shiga.io/v1/limits' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "signerId": "string",  "asset": "string",  "limitBaseUnits": "string"}'
Example Response
{  "data": {    "status": "ok",    "onChain": {      "chain": "base",      "safeAddress": "string",      "userOp": {},      "userOpHash": "string"    }  },  "status": 200,  "success": true}